/*********************************************************************
 * \file   AssetB.hpp
 *
 * \author Romain BOULLARD
 * \date   April 2026
 *********************************************************************/
#ifndef BIGFOOT_ASSETSFORTESTING_ASSET_ASSETB_HPP
#define BIGFOOT_ASSETSFORTESTING_ASSET_ASSETB_HPP
#include <Engine/Asset/Asset.hpp>

#include <AssetsForTesting/Asset/AssetB_generated.hpp>

namespace Bigfoot
{
struct AssetBTraits
{
    using FLAT = ::Flat::Bigfoot::AssetB;
};

class AssetB: public Asset<AssetBTraits>
{
  public:
    AssetB() = default;

    AssetB(const eastl::span<const std::byte> p_flatbuffer):
        Asset(p_flatbuffer)
    {
    }

    AssetB(const AssetB& p_asset) = delete;
    AssetB(AssetB&& p_asset) = default;

    ~AssetB() = default;

    AssetB& operator=(const AssetB& p_asset) = delete;
    AssetB& operator=(AssetB&& p_asset) = default;
};
}   // namespace Bigfoot

#endif
